# GuiFileBrowser Class Reference

Display a list of files. More...

`#include <gui.h>`

Inheritance diagram for GuiFileBrowser:

List of all members.

## Public Member Functions
| GuiFileBrowser (int w, int h)
| ~GuiFileBrowser ()
void | ResetState ()
| Resets the element's state to STATE_DEFAULT.
void | SetFocus (int f)
void | Draw ()
void | TriggerUpdate ()
void | Update (GuiTrigger *t)
## Public Attributes
GuiButton * | fileList [FILE_PAGESIZE]
## Protected Attributes
int | selectedItem
int | numEntries
bool | listChanged
GuiText * | fileListText [FILE_PAGESIZE]
GuiImage * | fileListBg [FILE_PAGESIZE]
GuiImage * | fileListFolder [FILE_PAGESIZE]
GuiButton * | arrowUpBtn
GuiButton * | arrowDownBtn
GuiButton * | scrollbarBoxBtn
GuiImage * | bgFileSelectionImg
GuiImage * | scrollbarImg
GuiImage * | arrowDownImg
GuiImage * | arrowDownOverImg
GuiImage * | arrowUpImg
GuiImage * | arrowUpOverImg
GuiImage * | scrollbarBoxImg
GuiImage * | scrollbarBoxOverImg
GuiImageData * | bgFileSelection
GuiImageData * | bgFileSelectionEntry
GuiImageData * | fileFolder
GuiImageData * | scrollbar
GuiImageData * | arrowDown
GuiImageData * | arrowDownOver
GuiImageData * | arrowUp
GuiImageData * | arrowUpOver
GuiImageData * | scrollbarBox
GuiImageData * | scrollbarBoxOver
GuiSound * | btnSoundOver
GuiSound * | btnSoundClick
GuiTrigger * | trigA
GuiTrigger * | trigHeldA

## Detailed Description

Display a list of files.

## Constructor & Destructor Documentation

GuiFileBrowser::GuiFileBrowser | ( | int | w,
|  | int | h |
| ) |  |  |

Constructor for the GuiFileBrowser class.

GuiFileBrowser::~GuiFileBrowser | ( |  | ) |

Destructor for the GuiFileBrowser class.

## Member Function Documentation

void GuiFileBrowser::Draw | ( |  | ) | `[virtual]`

Draw the button on screen

Reimplemented from GuiElement.

void GuiFileBrowser::SetFocus | ( | int | f | ) | `[virtual]`

Sets the element's focus

Parameters:

  | f | Focus (true = in focus)

Reimplemented from GuiElement.

void GuiFileBrowser::Update | ( | GuiTrigger * | t | ) | `[virtual]`

Called constantly to allow the element to respond to the current input data

Parameters:

  | t | Pointer to a GuiTrigger, containing the current input data from PAD/WPAD

Reimplemented from GuiElement.

The documentation for this class was generated from the following files:

- gui.h
- gui_filebrowser.cpp